{**
 * Easily manage navigation with Kahanit Awe Menu
 *
 * Kahanit Awe Menu by Kahanit(http://www.kahanit.com) is licensed under a
 * Creative Creative Commons Attribution-NoDerivatives 4.0 International License.
 * Based on a work at http://www.kahanit.com.
 * Permissions beyond the scope of this license may be available at http://www.kahanit.com.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nd/4.0/.
 *
 * @author    Amit Sidhpura <amit@kahanit.com>
 * @copyright 2015 Kahanit
 * @license   http://creativecommons.org/licenses/by-nd/4.0/
 *}

<div class="wrap">
    <div id="awemenu">
        <div class="bootstrap">
            {include file=$self|cat:"admin/menu/editor-panel.tpl"}
            {include file=$self|cat:"admin/menu/revisions-panel.tpl"}
            {include file=$self|cat:"admin/menu/row-configuration.tpl"}
            {include file=$self|cat:"admin/menu/column-configuration.tpl"}
            {include file=$self|cat:"admin/menu/item-configuration.tpl"}
            {include file=$self|cat:"admin/menu/elements.tpl"}
            {include file=$self|cat:"admin/menu/information.tpl"}
        </div>
    </div>
    <script type="text/javascript">
        var awemenu_url = '{$url}';
        var awemenu_module_url = '{$module_url}';
        var awemenu_langs = {$langs};
        var awemenu_activelang = '{$activelang}';
        var awemenu_entities = {$entities};
    </script>
</div>