<?php
/**
 * Easily manage navigation with Kahanit Awe Menu
 *
 * Kahanit Awe Menu by Kahanit(http://www.kahanit.com) is licensed under a
 * Creative Creative Commons Attribution-NoDerivatives 4.0 International License.
 * Based on a work at http://www.kahanit.com.
 * Permissions beyond the scope of this license may be available at http://www.kahanit.com.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nd/4.0/.
 *
 * @author    Amit Sidhpura <amit@kahanit.com>
 * @copyright 2015 Kahanit
 * @license   http://creativecommons.org/licenses/by-nd/4.0/
 */

$id_lang_default = Configuration::get('PS_LANG_DEFAULT');
$menu = Tools::file_get_contents(dirname(__FILE__).'/demo.txt');
$menu = str_replace('lang_id_1', 'lang_id_'.$id_lang_default, $menu);

$sql = array();
$sql[] = 'DROP TABLE IF EXISTS `'._DB_PREFIX_.'awemenu`;';
$sql[] = 'CREATE TABLE `'._DB_PREFIX_.'awemenu` (
	`id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
	`title` TEXT NOT NULL,
	`shop` INT(10) UNSIGNED NOT NULL DEFAULT \'0\',
	`author` BIGINT(20) UNSIGNED NOT NULL DEFAULT \'0\',
	`menu` LONGTEXT NOT NULL,
	`theme` LONGTEXT NOT NULL,
	`edit` TINYINT(3) UNSIGNED NOT NULL DEFAULT \'0\',
	`live` TINYINT(3) UNSIGNED NOT NULL DEFAULT \'0\',
	`deleted` TINYINT(3) UNSIGNED NOT NULL DEFAULT \'0\',
	`date` INT(10) UNSIGNED NOT NULL DEFAULT \'0\',
	PRIMARY KEY (`id`)
) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8';
$sql[] = 'INSERT INTO `'._DB_PREFIX_.'awemenu` (
	`title`, `shop`, `author`, `menu`, `theme`, `edit`, `live`, `deleted`, `date`
) VALUES (
	\'main menu\',0,0,\''.$menu.'\',\'{\"mb-topclr\":\"3d3d3d\",\"mb-btmclr\":\"212121\",\"mb-txtclr\":\"ffffff\",\"mb-hvr-topclr\":\"212121\",\"mb-hvr-btmclr\":\"212121\",\"mb-hvr-txtclr\":\"ffffff\",\"mb-bdrclr\":\"000000\",\"dd-topclr\":\"ffffff\",\"dd-btmclr\":\"ffffff\",\"dd-txtclr\":\"000000\",\"dd-ttlclr\":\"212121\",\"dd-bdrclr\":\"cccccc\",\"css\":\"\"}\',1,1,0,\''.time().'\'
);';

foreach ($sql as $query)
	if (Db::getInstance()->execute($query) == false)
		return false;
