<?php
/**
 * Easily manage navigation with Kahanit Awe Menu
 *
 * Kahanit Awe Menu by Kahanit(http://www.kahanit.com) is licensed under a
 * Creative Creative Commons Attribution-NoDerivatives 4.0 International License.
 * Based on a work at http://www.kahanit.com.
 * Permissions beyond the scope of this license may be available at http://www.kahanit.com.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nd/4.0/.
 *
 * @author    Amit Sidhpura <amit@kahanit.com>
 * @copyright 2015 Kahanit
 * @license   http://creativecommons.org/licenses/by-nd/4.0/
 */

define('AWEMENU_NAME', 'awemenu');
define('AWEMENU_DISPLAYNAME', 'Awe Menu - Responsive Top Horizontal Mega Menu');
define('AWEMENU_DESCRIPTION', 'Quick, easy to setup and WYSIWYG menu management module');
define('AWEMENU_AUTHOR', 'Kahanit');
define('AWEMENU_VERSION', '1.0.3');

define('AM_MODULE_DIR', dirname(__FILE__).'/../');

define('AM_MODULE_REL_APP_DIR', 'app/');
define('AM_MODULE_REL_CONTROLLERS_DIR', AM_MODULE_REL_APP_DIR.'controllers/');
define('AM_MODULE_REL_MODELS_DIR', AM_MODULE_REL_APP_DIR.'models/');
define('AM_MODULE_REL_VIEWS_DIR', AM_MODULE_REL_APP_DIR.'views/');
define('AM_MODULE_REL_LIBRARY_DIR', AM_MODULE_REL_APP_DIR.'library/');

define('AM_MODULE_APP_DIR', AM_MODULE_DIR.AM_MODULE_REL_APP_DIR);
define('AM_MODULE_CONTROLLERS_DIR', AM_MODULE_DIR.AM_MODULE_REL_CONTROLLERS_DIR);
define('AM_MODULE_MODELS_DIR', AM_MODULE_DIR.AM_MODULE_REL_MODELS_DIR);
define('AM_MODULE_VIEWS_DIR', AM_MODULE_DIR.AM_MODULE_REL_VIEWS_DIR);
define('AM_MODULE_LIBRARY_DIR', AM_MODULE_DIR.AM_MODULE_REL_LIBRARY_DIR);

define('AM_MODULE_URI', __PS_BASE_URI__.'modules/awemenu/');

require_once AM_MODULE_LIBRARY_DIR.'Registry.php';
require_once AM_MODULE_LIBRARY_DIR.'Route.php';
require_once AM_MODULE_LIBRARY_DIR.'Controller.php';
require_once AM_MODULE_LIBRARY_DIR.'Model.php';
require_once AM_MODULE_LIBRARY_DIR.'HelperFunctions.php';
require_once AM_MODULE_LIBRARY_DIR.'lessphp/Less.php';

require_once AM_MODULE_DIR.'app/config.php';