<?php
/**
 * Easily manage navigation with Kahanit Awe Menu
 *
 * Kahanit Awe Menu by Kahanit(http://www.kahanit.com) is licensed under a
 * Creative Creative Commons Attribution-NoDerivatives 4.0 International License.
 * Based on a work at http://www.kahanit.com.
 * Permissions beyond the scope of this license may be available at http://www.kahanit.com.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nd/4.0/.
 *
 * @author    Amit Sidhpura <amit@kahanit.com>
 * @copyright 2015 Kahanit
 * @license   http://creativecommons.org/licenses/by-nd/4.0/
 */

require_once dirname(__FILE__).'/../../config/config.inc.php';
require_once dirname(__FILE__).'/../../init.php';
require_once dirname(__FILE__).'/app/autoload.php';

$cookie = new Cookie('psAdmin');

if (!$cookie->id_employee)
	die('Access Denied');

$employee = new Employee($cookie->id_employee);

if (!Module::getPermissionStatic(Module::getModuleIdByName('awemenu'), 'configure', $employee))
	die('Access Denied');

$route = new AMRoute();
echo $route->getContent();
die();